package com.qmth.jkserver.dao;

//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//import com.qmth.jkserver.model.ExamStudentAdditional;
//
//@Repository
//public interface ExamStudentAdditionalDao extends MongoRepository<ExamStudentAdditional, String> {
//
//	public void deleteByExamCode(String examCode);
//
//	public List<ExamStudentAdditional> findByExamCode(String examCode);
//
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.jkserver.model.ExamStudentAdditional;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考务考生附加信息表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamStudentAdditionalDao extends BaseMapper<ExamStudentAdditional> {

    public void deleteByExamCode(@Param("examCode") String examCode);

    public List<ExamStudentAdditional> findByExamCode(@Param("examCode") String examCode);

    public IPage<Map> findDistinctStudent(IPage<Map> iPage, @Param("examCode") String examCode);

    public IPage<Map> findByExamCodeByPage(IPage<Map> iPage, @Param("examCode") String examCode);

    public List<ExamStudentAdditional> findByExamCodeAndStudentId(@Param("examCode") String examCode);

    public List<ExamStudentAdditional> findByExamCodeAndCourseCodeAndName(@Param("examCode") String examCode);
}
