package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 作弊考生
// * @author tianjun
// *
// * TODO 待关联
// */
//public class ExamCheat implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = -1150568743422682876L;
//
//	//操作类型
//	@Field("operate_type")
//	private String operateType;
//
//	//操作时间
//	@Field("operate_time")
//	private String operateTime;
//
//	//违纪原因
//	@Field("reason")
//	private String reason;
//
//	//违纪说明
//	@Field("introduce")
//	private String introduce;
//
//	/**
//	 * 创建时间
//	 */
//	@Field("create_time")
//	private Date createTime;
//
//	/**
//	 * @return the operateType
//	 */
//	public String getOperateType() {
//		return operateType;
//	}
//
//	/**
//	 * @param operateType the operateType to set
//	 */
//	public void setOperateType(String operateType) {
//		this.operateType = operateType;
//	}
//
//	/**
//	 * @return the operateTime
//	 */
//	public String getOperateTime() {
//		return operateTime;
//	}
//
//	/**
//	 * @param operateTime the operateTime to set
//	 */
//	public void setOperateTime(String operateTime) {
//		this.operateTime = operateTime;
//	}
//
//	/**
//	 * @return the reason
//	 */
//	public String getReason() {
//		return reason;
//	}
//
//	/**
//	 * @param reason the reason to set
//	 */
//	public void setReason(String reason) {
//		this.reason = reason;
//	}
//
//	/**
//	 * @return the introduce
//	 */
//	public String getIntroduce() {
//		return introduce;
//	}
//
//	/**
//	 * @param introduce the introduce to set
//	 */
//	public void setIntroduce(String introduce) {
//		this.introduce = introduce;
//	}
//
//	/**
//	 * @return the createTime
//	 */
//	public Date getCreateTime() {
//		return createTime;
//	}
//
//	/**
//	 * @param createTime the createTime to set
//	 */
//	public void setCreateTime(Date createTime) {
//		this.createTime = createTime;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 作弊考生
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value="JkExamCheat对象", description="作弊考生")
@TableName("jk_exam_cheat")
public class ExamCheat implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "操作类型")
    private String operateType;

    @ApiModelProperty(value = "操作时间")
    private Long operateTime;

    @ApiModelProperty(value = "违纪原因")
    private String reason;

    @ApiModelProperty(value = "违纪说明")
    private String introduce;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "考生答案id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examStudentAnswerId;

    public Long getExamStudentAnswerId() {
        return examStudentAnswerId;
    }

    public void setExamStudentAnswerId(Long examStudentAnswerId) {
        this.examStudentAnswerId = examStudentAnswerId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

    public Long getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Long operateTime) {
        this.operateTime = operateTime;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
