package com.qmth.jkserver.core.kw;

import com.qmth.jkserver.dto.KWObjectDto;
import com.qmth.jkserver.enums.ExamType;

/**
 * 考务数据校验
 * 校验成功  返回 考务对象
 *
 * @author tianjun
 */
public interface IKwTempDataProcessor {

    public KWObjectDto execute(String examCode, ExamType examType, Long kcFileId, Long kwZipFileId, Long paperFileId,
                               Long additionalFileId, Long sceneScoreFileId) throws Exception;

}
