package com.qmth.jkserver.dao;

//import com.qmth.jkserver.model.User;
//
//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.data.repository.query.QueryByExampleExecutor;
//
//public interface UserDao extends MongoRepository<User, String>, QueryByExampleExecutor<User> {
//
//    public List<User> findByUserName(String userName);
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.jkserver.model.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface UserDao extends BaseMapper<User> {

    public List<User> findByUserName(@Param("userName") String userName);

    public IPage<User> findByUserNameByPage(IPage<Map> iPage, @Param("userName") String userName);
}




