package com.qmth.jkserver.model;

//import java.io.Serializable;
//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 考试识别码
// *
// * @author tianjun
// *
// */
//@Document(collection = "jk_exam_code")
//public class ExamCode implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = 3554219466999654219L;
//
//	@Id
//	private String id;
//
//	@Indexed(unique=true)
//	@Field("exam_code")
//	private String examCode;
//
//	@Field("used")
//	private boolean used;
//
//	public String getId() {
//		return id;
//	}
//
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	public String getExamCode() {
//		return examCode;
//	}
//
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	public boolean isUsed() {
//		return used;
//	}
//
//	public void setUsed(boolean used) {
//		this.used = used;
//	}
//
//
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考试识别码
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value="JkExamCode对象", description="考试识别码")
@TableName("jk_exam_code")
public class ExamCode implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "是否使用，1：使用，0：未使用")
    private Boolean used;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public Boolean getUsed() {
        return used;
    }

    public void setUsed(Boolean used) {
        this.used = used;
    }
}