package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.ExamRoomAddressDao;
import com.qmth.jkserver.model.ExamRoomAddress;
import com.qmth.jkserver.service.JkExamRoomAddressService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 考点考场地址表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class JkExamRoomAddressServiceImpl extends ServiceImpl<ExamRoomAddressDao, ExamRoomAddress> implements JkExamRoomAddressService {

}
